Skip to main content
GET
/
api
/
v0
/
reports
/
{report_id}
Endpoint for getting a report by report id
curl --request GET \
  --url https://api.example.com/api/v0/reports/{report_id}
import requests

url = "https://api.example.com/api/v0/reports/{report_id}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/reports/{report_id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "isPrivate": true,
  "projectTitle": "<string>",
  "companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "companyHandle": "<string>",
  "clientName": "<string>",
  "clientLogo": "<string>",
  "engagementStartDate": "2023-11-07T05:31:56Z",
  "engagementEndDate": "2023-11-07T05:31:56Z",
  "repositoryLinks": [
    "<string>"
  ],
  "commitHashes": [
    "<string>"
  ],
  "typeOfProject": [
    "<string>"
  ],
  "teamMembers": [
    {
      "reportId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "auditorPublicProfile": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "isBot": true,
        "verifiedProfile": true,
        "isNdaSigned": true,
        "reputation": 123,
        "skills": [
          "<string>"
        ],
        "badges": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>",
            "image": "<string>",
            "description": "<string>",
            "issuedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "createdAt": "2023-11-07T05:31:56Z",
        "github": "<string>",
        "twitter": "<string>",
        "tagline": "<string>",
        "bio": "<string>",
        "website": "<string>",
        "guildAffiliation": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      }
    }
  ],
  "findingStats": [
    {
      "totalCount": 123,
      "fixedCount": 123
    }
  ],
  "createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "createdAt": "2023-11-07T05:31:56Z",
  "publishedAt": "2023-11-07T05:31:56Z",
  "seoTitle": "<string>",
  "seoDescription": "<string>",
  "description": "<string>",
  "clientWebsite": "<string>",
  "engagementId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "repositoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "guildId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "reportPdfLink": "<string>",
  "findings": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "number": 123,
      "attributedTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "description": "<string>",
      "createdBy": {
        "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "username": "<string>",
        "avatar": "<string>",
        "disabledAt": "2023-11-07T05:31:56Z"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "fixedBy": [
        "<string>"
      ],
      "relatedFiles": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "path": "<string>",
          "lines": {
            "start": 123,
            "end": 123
          },
          "language": "<string>",
          "relevantContent": "<string>"
        }
      ],
      "companyName": "<string>",
      "companyLogo": "<string>"
    }
  ]
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}
{
  "msg": "<string>"
}

Path Parameters

report_id
string<uuid>
required

Query Parameters

with_files
boolean | null

If this is false, the related_files field will be empty.

Defaults to true.

Response

Report

id
string<uuid>
required
isPrivate
boolean
required
projectTitle
string
required
companyId
string<uuid>
required
companyHandle
string
required
clientName
string
required
engagementKind
enum<string>
required

Kind of [Engagement].

Available options:
spearbit_web3,
spearbit_web2,
spearbit_vciso,
cantina_managed,
cantina_guild,
cantina_solo,
public_competition,
private_competition,
public_bounty,
private_bounty
engagementStartDate
string<date-time>
required
engagementEndDate
string<date-time>
required
commitHashes
string[]
required
typeOfProject
string[]
required
teamMembers
object[]
required
findingStats
object[]
required
createdBy
string<uuid>
required
createdAt
string<date-time>
required
publishedAt
string<date-time>
required
seoTitle
string | null

Custom text for the TITLE tag when the report is viewed in a browser

seoDescription
string | null

Custom text for the META description tag when the report is viewed in a browser

description
string | null

Description of the report

clientWebsite
string | null
engagementId
string<uuid> | null
repositoryId
string<uuid> | null
guildId
string<uuid> | null
findings
object[]